> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Create a Webhook Subscription

POST https://api.latitude.xyz/v1/webhook_subscriptions
Content-Type: application/json

Creates a new webhook subscription for the given URL and event types

Reference: https://docs.latitude.xyz/api-reference/webhooks/post-v-1-webhook-subscriptions

## Request

### Body (application/json)

This endpoint expects a postV1WebhookSubscriptions.

- `url` (string, required) — Customer provided webhook URL
- `event_types` (list of enum, required) — Event types to subscribe to
  - Allowed values: `transfer.created`, `transfer.funded`, `transfer.payout_initiated`, `transfer.completed`, `transfer.failed`, `transfer.expired`, `conversion.created`, `conversion.payout_initiated`, `conversion.completed`, `conversion.failed`, `individual.status_changed`

## Response

### 201

Create a Webhook Subscription

- `id` (string, required) — Unique public identifier for the webhook subscription
- `url` (string, required) — URL where webhook events are delivered
- `event_types` (list of enum, required) — Event types this subscription receives
  - Allowed values: `transfer.created`, `transfer.funded`, `transfer.payout_initiated`, `transfer.completed`, `transfer.failed`, `transfer.expired`, `conversion.created`, `conversion.payout_initiated`, `conversion.completed`, `conversion.failed`, `individual.status_changed`
- `is_active` (boolean, required) — Whether the subscription is active
- `created_at` (string, required) — ISO 8601 timestamp when the subscription was created
- `updated_at` (string, required) — ISO 8601 timestamp when the subscription was last updated

## Errors

### 400 Bad Request Error

Invalid request: validation error, invalid event types, empty event_types, or an active subscription already exists for the URL

- `any`

## Examples

**Request**

```json
{
  "url": "string",
  "event_types": [
    "transfer.created"
  ]
}
```

**Response**

```json
{
  "id": "string",
  "url": "string",
  "event_types": [
    "transfer.created"
  ],
  "is_active": true,
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/webhook_subscriptions"

payload = {
    "url": "string",
    "event_types": ["transfer.created"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/webhook_subscriptions';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"url":"string","event_types":["transfer.created"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/webhook_subscriptions"

	payload := strings.NewReader("{\n  \"url\": \"string\",\n  \"event_types\": [\n    \"transfer.created\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/webhook_subscriptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"url\": \"string\",\n  \"event_types\": [\n    \"transfer.created\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.latitude.xyz/v1/webhook_subscriptions")
  .header("Content-Type", "application/json")
  .body("{\n  \"url\": \"string\",\n  \"event_types\": [\n    \"transfer.created\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.latitude.xyz/v1/webhook_subscriptions', [
  'body' => '{
  "url": "string",
  "event_types": [
    "transfer.created"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/webhook_subscriptions");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"url\": \"string\",\n  \"event_types\": [\n    \"transfer.created\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "url": "string",
  "event_types": ["transfer.created"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/webhook_subscriptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```